# ``twisted`.`words`.`protocols`.`jabber`.`component`.`ConnectComponentAuthenticator``

class documentation

`class ConnectComponentAuthenticator(xmlstream.ConnectAuthenticator): (source)`

View In Hierarchy

Authenticator to permit an XmlStream to authenticate against a Jabber server as an external component (where the Authenticator is initiating the stream).

Method | `__init__` |
Method | `associateWithStream` | Called by the XmlStreamFactory when a connection has been made to the requested peer, and an XmlStream object has been instantiated.
Instance Variable | `password` | Undocumented

Inherited from `ConnectAuthenticator`:

Method | `connectionMade` | Called by the XmlStream when the underlying socket connection is in place.
Method | `initializeStream` | Perform stream initialization procedures.
Method | `streamStarted` | Called by the XmlStream when the stream has started.
Class Variable | `namespace` | Undocumented
Instance Variable | `otherHost` | Undocumented

Inherited from `Authenticator` (via `ConnectAuthenticator`):

Instance Variable | `xmlstream` | The XmlStream that needs authentication

def __init__(self, componentjid, password): (source)
overrides `twisted.words.protocols.jabber.xmlstream.ConnectAuthenticator.__init__`

Parameters
componentjid:`str` | Jabber ID that this component wishes to bind to.
password:`str` | Password/secret this component uses to authenticate.

def associateWithStream(self, xs): (source)
overrides `twisted.words.protocols.jabber.xmlstream.Authenticator.associateWithStream`

Called by the XmlStreamFactory when a connection has been made to the requested peer, and an XmlStream object has been instantiated.

The default implementation just saves a handle to the new XmlStream.

Parameters
xs | Undocumented
xmlstream:`XmlStream` | The XmlStream that will be passing events to this Authenticator.

password = (source)

Undocumented